Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# StringSeqC.cpp File Reference

`#include "StringSeqC.h"`
`#include "StringSeqC.i"`
`#include "Any.h"`
`#include "CDR.h"`
`#include "Typecode.h"`

Include dependency graph for StringSeqC.cpp:

## Defines
#define | _CORBA_STRINGSEQ_CS_
#define | _CORBA_WSTRINGSEQ_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_StringSeq (CORBA::tk_alias, sizeof (_oc_CORBA_StringSeq), (char *) &_oc_CORBA_StringSeq, 0, sizeof (CORBA_StringSeq))
CORBA::TypeCode | _tc_TAO_tc_CORBA_WStringSeq (CORBA::tk_alias, sizeof (_oc_CORBA_WStringSeq), (char *) &_oc_CORBA_WStringSeq, 0, sizeof (CORBA_WStringSeq))
void | operator<<= (CORBA::Any &_tao_any, CORBA_StringSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_StringSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA_StringSeq *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const CORBA_WStringSeq &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, CORBA_WStringSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA_WStringSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA_WStringSeq *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_StringSeq &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA_StringSeq &_tao_sequence )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CORBA_WStringSeq &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CORBA_WStringSeq &_tao_sequence )
## Variables
const CORBA::Long | _oc_CORBA_StringSeq []
const CORBA::Long | _oc_CORBA_WStringSeq []

## Define Documentation

#define _CORBA_STRINGSEQ_CS_

#define _CORBA_WSTRINGSEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_StringSeq ( | CORBA::tk_alias,
| sizeof(_oc_CORBA_StringSeq),
| (char *)& _oc_CORBA_StringSeq,
| 0,
| sizeof(CORBA_StringSeq) )`[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_WStringSeq ( | CORBA::tk_alias,
| sizeof(_oc_CORBA_WStringSeq),
| (char *)& _oc_CORBA_WStringSeq,
| 0,
| sizeof(CORBA_WStringSeq) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_WStringSeq & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CORBA_StringSeq & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_WStringSeq * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CORBA_WStringSeq & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CORBA_StringSeq * _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_WStringSeq & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CORBA_StringSeq & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA_WStringSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_WStringSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CORBA_StringSeq *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CORBA_StringSeq *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_CORBA_StringSeq[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      32, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x434f5242), ACE_NTOHL (0x412f5374), ACE_NTOHL (0x72696e67), ACE_NTOHL (0x5365713a), ACE_NTOHL (0x312e3000),
      10, ACE_NTOHL (0x53747269), ACE_NTOHL (0x6e675365), ACE_NTOHL (0x71000000),
      CORBA::tk_sequence,
      16,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_string,
        0U,
        0U,

    }

const CORBA::Long _oc_CORBA_WStringSeq[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      33, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x434f5242), ACE_NTOHL (0x412f5753), ACE_NTOHL (0x7472696e), ACE_NTOHL (0x67536571), ACE_NTOHL (0x3a312e30), ACE_NTOHL (0x0),
      11, ACE_NTOHL (0x57537472), ACE_NTOHL (0x696e6753), ACE_NTOHL (0x65710000),
      CORBA::tk_sequence,
      16,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_wstring,
        0U,
        0U,

    }